/******************************************************************************
版权所有：	
文件名称：	rt_error.h
文件版本：	01.01
创建作者：	sunxi
创建日期：	2020-06-18
功能说明：	错误代码管理。
其它说明：
修改记录：
*/
#ifndef _RT_ERROR_H
#define _RT_ERROR_H
/*------------------------------- 头文件 --------------------------------------
*/


/*------------------------------- 宏定义 --------------------------------------
*/
enum
{
	ERR_CODE_OK,
	ERR_CODE_CRC_FLASH,
	ERR_CODE_CRC_RAM,		
	ERR_CODE_GPS,         	
	ERR_CODE_DO_CHECK,		
	ERR_CODE_MESSAGE_SEND,
	ERR_CODE_MESSAGE_RECV,
	ERR_CODE_PORG_UPDATE,	
	
	ERR_CODE_SB_COMM,	
	ERR_CODE_SB_FAULT,	
	
	ERR_CODE_INIT_ADC,
    ERR_CODE_INIT_FPGA,
	ERR_CODE_INIT_E2PROM,
	ERR_CODE_INIT_SPI_FLASH,
	ERR_CODE_RTC,
	
	ERR_CODE_FACTOR,
	ERR_CODE_DCFACTOR,
	ERR_CODE_INIT_SWITCH,
	ERR_CODE_INIT_RECORD,
	ERR_CODE_INIT_SOFTWARE,
	ERR_CODE_UNKOWN,
	
	ERR_CODE_EQU,
	ERR_CODE_EQU_RESOURCE,
	ERR_CODE_EQU_CONFIG,
	ERR_CODE_EQU_PARA,
	
	ERR_CODE_SET,
	ERR_CODE_SET_IN,	
	ERR_CODE_SET_PUB,
	ERR_CODE_SET_DESC,
	ERR_CODE_SET_DATA,
	ERR_CODE_FAULT_BOARD,
	
	ERR_CODE_RESOURCE_TABLE,
	ERR_CODE_IEC_TABLE,
	ERR_CODE_PLC,

	ERR_CODE_LOG,
	
	ERR_CODE_ENV,

	ERR_CODE_POWER,
	
	ERR_CODE_VOLSTU,
	ERR_CODE_HZK,

	ERR_CODE_BATHH,
	
	ERR_CODE_AUTH,
	ERR_CODE_ESAM,
	
	ERR_CODE_NUM
};


/*------------------------------ 类型结构 -------------------------------------
*/



/*------------------------------ 函数声明 -------------------------------------
*/
int rt_err_init(void);
int rt_err_exit(void);

int rt_err_set(u32 err_code,u32 err_arg);
int rt_err_clr(u32 err_code,int err_arg);

int rt_err_test(u32 err_code);

int rt_err_count_sw(void);
int rt_err_count_hw(void);
int rt_err_count(void);

char * rt_err_msg(u32 err_code);

int rt_err_app(void);

int rt_err_printf(void);

#endif //_RT_ERROR_H

/*------------------------------ 文件结束 -------------------------------------
*/



